Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.index.bintree
Class Node

    java.lang.Object
      com.vividsolutions.jts.index.bintree.NodeBase
          com.vividsolutions.jts.index.bintree.Node

    public class Node

extends NodeBase

A node of a `Bintree`.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.index.bintree.NodeBase
`items, subnode`

Constructor Summary
`Node(Interval interval, int level)`

Method Summary
`static Node` | `createExpanded(Node node, Interval addInterval)`
`static Node` | `createNode(Interval itemInterval)`
`NodeBase` | `find(Interval searchInterval)` Returns the smallest existing node containing the envelope.
`Interval` | `getInterval()`
`Node` | `getNode(Interval searchInterval)` Returns the subnode containing the envelope.
`protected boolean` | `isSearchMatch(Interval itemInterval)`

Methods inherited from class com.vividsolutions.jts.index.bintree.NodeBase
`add, addAllItems, addAllItemsFromOverlapping, getItems, getSubnodeIndex, hasChildren, hasItems, isPrunable, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node

    public Node(Interval interval,
                int level)

Method Detail

### createNode

    public static Node createNode(Interval itemInterval)

### createExpanded

    public static Node createExpanded(Node node,
                                      Interval addInterval)

### getInterval

    public Interval getInterval()

### isSearchMatch

    protected boolean isSearchMatch(Interval itemInterval)

  Specified by:
    `isSearchMatch` in class `NodeBase`

### getNode

    public Node getNode(Interval searchInterval)

  Returns the subnode containing the envelope. Creates the node if it does not already exist.

### find

    public NodeBase find(Interval searchInterval)

  Returns the smallest existing node containing the envelope.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD